import type { Config, RecComponent } from '~/components/pub/my-ui/data-table'
import { defineAsyncComponent } from 'vue'

type SmallDetailDto = any

const action = defineAsyncComponent(() => import('~/components/pub/my-ui/data/dropdown-action-ud.vue'))

export const config: Config = {
  cols: [{}, {}, {}, { width: 50 }],

  headers: [
    [
      { label: 'Kode' },
      { label: 'Nama' },
      { label: 'Encounter Class' },
      { label: '' },
    ],
  ],

  keys: ['code', 'name', 'encounterClass_code', 'action'],

  delKeyNames: [
    { key: 'code', label: 'Kode' },
    { key: 'name', label: 'Nama' },
  ],

  parses: {
    name: (rec: unknown): unknown => {
      const recX = rec as SmallDetailDto
      return `${recX.name}`.trim()
    },
  },

  components: {
    action(rec, idx) {
      const res: RecComponent = {
        idx,
        rec: rec as object,
        component: action,
        props: {
          size: 'sm',
        },
      }
      return res
    },
  },

  htmls: {
    patient_address(_rec) {
      return '-'
    },
  },
}
